View Issue Details

IDProjectCategoryView StatusLast Update
0002312Composrcore_notificationspublic2020-03-28 00:57
ReporterPatrick SchmalstigAssigned To 
Severityfeature 
Status non-assignedResolutionopen 
Product Version 
Fixed in Version 
Summary0002312: Web notification marking as read not efficient
DescriptionThere are several instances where clicking on a web notification doesn't mark it as read like it should. For example, clicking on a notification about a reply on a forum doesn't typically mark that notification as read. Clicking on a periodic content review web notification doesn't mark it as read until you actually do something, like edit that content. I personally think web notifications are "read" after a user sees them (individually, not via. the 5-notification popup), even if the user didn't specifically click the link in the notification or do something regarding it.
TagsRoadmap: v12
Attach Tags
Time estimation (hours)0.75
Sponsorship open

Activities

Chris Graham

2016-03-21 22:05

administrator   ~0003454

Topic notifications are meant to mark read, as a special case. I think with output streaming on it wasn't working right, so that will be fixed.

However, in the general case, it's not expected for notifications to automatically mark as read, as that wasn't implemented as one of the features.

I'll therefore leave this topic open for possible future improvements.

Patrick Schmalstig

2016-03-22 06:15

administrator   ~0003472

I have output streaming disabled currently on b4 and the problem seems to remain.

So what was the original Composr plan? In other words what would constitute as a "read" notification?

Chris Graham

2016-03-23 01:04

administrator   ~0003482

"I have output streaming disabled currently on b4 and the problem seems to remain.
" - you're right. Almost fixed now. Was a block caching issue.

"So what was the original Composr plan? In other words what would constitute as a "read" notification?" - apart from topics, you need to mark them read via the link. I agree with your comments, just it hasn't been done initially and I didn't honestly think of it.

Issue History

Date Modified Username Field Change
2016-03-18 04:17 Patrick Schmalstig New Issue
2016-03-21 21:58 Chris Graham Summary Composr 10b4: Web notification marking as read not efficient => Web notification marking as read not efficient
2016-03-21 22:05 Chris Graham Note Added: 0003454
2016-03-22 06:15 Patrick Schmalstig Note Added: 0003472
2016-03-23 01:04 Chris Graham Note Added: 0003482
2016-04-15 14:03 Chris Graham Time estimation (hours) => 0.75
2019-06-27 18:51 Chris Graham Tag Attached: Roadmap: v12
2020-03-28 00:57 Chris Graham Severity @40@ => feature